Bug 18072 - нет фильтрации зависимости
: нет фильтрации зависимости
Status: CLOSED WONTFIX
: Branch 4.1
(All bugs in Branch 4.1/rpm-build-python)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-02 16:33 by
Modified: 2014-11-05 20:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-02 16:33:33
при пакетировании numpy акутальной версии 1.2.1 выяснилось, что:

1) модуль использует внутри себя обращения к строкам документации внутри самого
себя, импортируемые для краткости под алиасом np

2) в результате, автоматически создаётся зависимость python2.5(np) и поставить
пакет оказывается невозможно.
------- Comment #1 From 2008-12-02 22:07:07 -------
%add_python_req_skip <ИМЯ_МОДУЛЯ>
------- Comment #2 From 2008-12-03 09:08:12 -------
спасибо, уже.

Но вероятно, это ситуация не нормальная?
------- Comment #3 From 2008-12-03 14:42:07 -------
ну вобщем наверное да, но мантейнер для того и нужен. Иначе я бы давно натравил
скрипт на PyPI... :)
------- Comment #4 From 2014-11-05 20:41:31 -------
В 4.1/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.